package com.atlassian.bitbucket.mirroring.upstream;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Exception thrown when an upstream server fails to integrate with a mirror server.
 *
 * @since 4.3
 */
public class MirrorIntegrationFailedException extends ServiceException {

    public MirrorIntegrationFailedException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public MirrorIntegrationFailedException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
